<?php

namespace HCM\FPA\ObrigacaoLegal\Dirf\Registros;

use HCM\FPA\ObrigacaoLegal\Dirf\Registros\RegistroDIRF;

class RegistroOPSE extends RegistroDIRF{

    private $_cnpj;
    private $_nome;
    private $_registroAns;

    private function _geraRegistro($tpRegistro){
        // Ordem 1
        $this->atribuiDadoDirf($tpRegistro);

        // Ordem 2
        $this->atribuiDadoDirf($this->_cnpj);

        // Ordem 3
        $this->atribuiDadoDirf($this->_nome);

        // Ordem 4
        $this->atribuiDadoDirf($this->_registroAns);
    }

    public function geraRegistroOPSE(){
        $this->_geraRegistro(parent::REGISTRO_OPSE);
    }

    public function setCnpj($cnpj){
        $this->_cnpj = $cnpj;
    }
    
    public function setNome($nome){
        $this->_nome = $nome;
    }

    public function setRegistroAns($registroAns){
        $this->_registroAns = $registroAns;
    }

}