CREATE OR REPLACE TRIGGER PTO_ADMISSAO_CONTROLFREQUENCIA
AFTER INSERT
ON GPE_VINCULOM FOR EACH ROW
DECLARE
  V_NRBANCOHORAS_CLT NUMBER := 1;
  V_NRBANCOHORAS_EST NUMBER := 2;
  V_PRXCODOCOR     VARCHAR2(20); 
BEGIN
	IF :NEW.NRORG = 20 THEN
      /* Insere as programações de ocorrência necessárias para organização 20 - Grupo Teknisa */
      /* Insere 'Complementa Trabalho para vinculos CLT e Estagiário' */           
      IF (:NEW.NRTIPOVINCULOM = 1 OR :NEW.NRTIPOVINCULOM = 2) THEN
          NOVO_CODIGO_SC('PTO_PROGOCORRENCIA', V_PRXCODOCOR, 1, :NEW.NRORG);
          INSERT INTO PTO_PROGOCORRENCIA (NRORG,NRPROGOCORRENCIA,NRVINCULOM,DTINICIOPROGOCOR,DTFIMPROGOCOR,IDDIASSEMANA,IDTIPODIACALENDARIO,IDTIPOHORARIO,NRMOTIVOOCORFREQ,NRHORDIAM,NRSITUFREQUENCIA,NRSITUFREQGATILHO,QTMINGATILHOPROGOCOR,QTMAXGATILHOPROGOCOR,VRCOEFICIENTEACRESCIMO,IDPROGOCORRENCIA,QTMINIMAPROGOCOR,QTMAXIMAPROGOCOR,DSOBSERVACAO,IDATIVO,NRORGINCLUSAO,DTINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,DTULTATU,CDOPERULTATU,NRTIPOPROGOCORRENCIA,NRMARCACAOPONTO,NRINTERVALOHORARIO,IDPROGOCORCONFIRMADA,CDOPERVERIFICADO,DSOBSERVACAORECUSA) 
               VALUES (:NEW.NRORG, TO_NUMBER(V_PRXCODOCOR), :NEW.NRVINCULOM, :NEW.DTADMISSAOVINC, NULL, '1111111', NULL, 'N', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'S', :NEW.NRORG, SYSDATE, :NEW.CDOPERINCLUSAO, :NEW.NRORG, SYSDATE, :NEW.CDOPERINCLUSAO, '21' ,NULL, NULL, 'S', NULL, NULL);             
      END IF;     

      /* Insere 'Autorizar Hora Extra' para vinculos CLT */

      /*IF (:NEW.NRTIPOVINCULOM = 1) THEN          

          /* Uma com Tipo de Horário Normal * / 

          NOVO_CODIGO_SC('PTO_PROGOCORRENCIA', V_PRXCODOCOR, 1, :NEW.NRORG);

          INSERT INTO PTO_PROGOCORRENCIA (NRORG,NRPROGOCORRENCIA,NRVINCULOM,DTINICIOPROGOCOR,DTFIMPROGOCOR,IDDIASSEMANA,IDTIPODIACALENDARIO,IDTIPOHORARIO,NRMOTIVOOCORFREQ,NRHORDIAM,NRSITUFREQUENCIA,NRSITUFREQGATILHO,QTMINGATILHOPROGOCOR,QTMAXGATILHOPROGOCOR,VRCOEFICIENTEACRESCIMO,IDPROGOCORRENCIA,QTMINIMAPROGOCOR,QTMAXIMAPROGOCOR,DSOBSERVACAO,IDATIVO,NRORGINCLUSAO,DTINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,DTULTATU,CDOPERULTATU,NRTIPOPROGOCORRENCIA,NRMARCACAOPONTO,NRINTERVALOHORARIO,IDPROGOCORCONFIRMADA,CDOPERVERIFICADO,DSOBSERVACAORECUSA) 

               VALUES (:NEW.NRORG, TO_NUMBER(V_PRXCODOCOR), :NEW.NRVINCULOM, :NEW.DTADMISSAOVINC, NULL, '1111111', NULL, 'N', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'S', :NEW.NRORG, SYSDATE, :NEW.CDOPERINCLUSAO, :NEW.NRORG, SYSDATE, :NEW.CDOPERINCLUSAO, '1' ,NULL, NULL, 'S', NULL, NULL);    

          

          /* Uma com Tipo de Horário Folga * / 

          NOVO_CODIGO_SC('PTO_PROGOCORRENCIA', V_PRXCODOCOR, 1, :NEW.NRORG);

          INSERT INTO PTO_PROGOCORRENCIA (NRORG,NRPROGOCORRENCIA,NRVINCULOM,DTINICIOPROGOCOR,DTFIMPROGOCOR,IDDIASSEMANA,IDTIPODIACALENDARIO,IDTIPOHORARIO,NRMOTIVOOCORFREQ,NRHORDIAM,NRSITUFREQUENCIA,NRSITUFREQGATILHO,QTMINGATILHOPROGOCOR,QTMAXGATILHOPROGOCOR,VRCOEFICIENTEACRESCIMO,IDPROGOCORRENCIA,QTMINIMAPROGOCOR,QTMAXIMAPROGOCOR,DSOBSERVACAO,IDATIVO,NRORGINCLUSAO,DTINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,DTULTATU,CDOPERULTATU,NRTIPOPROGOCORRENCIA,NRMARCACAOPONTO,NRINTERVALOHORARIO,IDPROGOCORCONFIRMADA,CDOPERVERIFICADO,DSOBSERVACAORECUSA) 

               VALUES (:NEW.NRORG, TO_NUMBER(V_PRXCODOCOR), :NEW.NRVINCULOM, :NEW.DTADMISSAOVINC, NULL, '1111111', NULL, 'F', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'S', :NEW.NRORG, SYSDATE, :NEW.CDOPERINCLUSAO, :NEW.NRORG, SYSDATE, :NEW.CDOPERINCLUSAO, '1' ,NULL, NULL, 'S', NULL, NULL);    

      END IF;*/

      

      /* Insere 'Abonar Saída Intrajornada' de 00:10 para vinculos Estagiários */
      IF (:NEW.NRTIPOVINCULOM = 2) THEN
          NOVO_CODIGO_SC('PTO_PROGOCORRENCIA', V_PRXCODOCOR, 1, :NEW.NRORG);
          INSERT INTO PTO_PROGOCORRENCIA (NRORG,NRPROGOCORRENCIA,NRVINCULOM,DTINICIOPROGOCOR,DTFIMPROGOCOR,IDDIASSEMANA,IDTIPODIACALENDARIO,IDTIPOHORARIO,NRMOTIVOOCORFREQ,NRHORDIAM,NRSITUFREQUENCIA,NRSITUFREQGATILHO,QTMINGATILHOPROGOCOR,QTMAXGATILHOPROGOCOR,VRCOEFICIENTEACRESCIMO,IDPROGOCORRENCIA,QTMINIMAPROGOCOR,QTMAXIMAPROGOCOR,DSOBSERVACAO,IDATIVO,NRORGINCLUSAO,DTINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,DTULTATU,CDOPERULTATU,NRTIPOPROGOCORRENCIA,NRMARCACAOPONTO,NRINTERVALOHORARIO,IDPROGOCORCONFIRMADA,CDOPERVERIFICADO,DSOBSERVACAORECUSA) 
               VALUES (:NEW.NRORG, TO_NUMBER(V_PRXCODOCOR), :NEW.NRVINCULOM, :NEW.DTADMISSAOVINC, NULL, '1111111', NULL, 'N', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '15', NULL, 'S', :NEW.NRORG, SYSDATE, :NEW.CDOPERINCLUSAO, :NEW.NRORG, SYSDATE, :NEW.CDOPERINCLUSAO, '23' ,NULL, NULL, 'S', NULL, NULL);    
      END IF;
   
      /* Insere 'Alteração de Banco de Horas' para o vinculo admitido, diferente entre tipo de vínculo */
      IF (:NEW.NRTIPOVINCULOM = 1) THEN
          NOVO_CODIGO_SC('PTO_ALTEBANCOHORAS', V_PRXCODOCOR, 1, :NEW.NRORG);
          INSERT INTO PTO_ALTEBANCOHORAS (NRORG,NRALTEBANCOHORAS,NRBANCOHORAS,NRVINCULOM,DTINICIOALTEBHORAS,DTFIMALTEBHORAS,IDATIVO,NRORGINCLUSAO,DTINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,DTULTATU,CDOPERULTATU) 
           VALUES (:NEW.NRORG, TO_NUMBER(V_PRXCODOCOR), V_NRBANCOHORAS_CLT, :NEW.NRVINCULOM, TRUNC(:NEW.DTADMISSAOVINC, 'MONTH'), NULL, 'S', :NEW.NRORG, SYSDATE, :NEW.CDOPERINCLUSAO, :NEW.NRORG, SYSDATE, :NEW.CDOPERINCLUSAO);        
      ELSIF (:NEW.NRTIPOVINCULOM = 2) THEN
          NOVO_CODIGO_SC('PTO_ALTEBANCOHORAS', V_PRXCODOCOR, 1, :NEW.NRORG);
          INSERT INTO PTO_ALTEBANCOHORAS (NRORG,NRALTEBANCOHORAS,NRBANCOHORAS,NRVINCULOM,DTINICIOALTEBHORAS,DTFIMALTEBHORAS,IDATIVO,NRORGINCLUSAO,DTINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,DTULTATU,CDOPERULTATU) 
           VALUES (:NEW.NRORG, TO_NUMBER(V_PRXCODOCOR), V_NRBANCOHORAS_EST, :NEW.NRVINCULOM, TRUNC(:NEW.DTADMISSAOVINC, 'MONTH'), NULL, 'S', :NEW.NRORG, SYSDATE, :NEW.CDOPERINCLUSAO, :NEW.NRORG, SYSDATE, :NEW.CDOPERINCLUSAO);
      END IF;   	  
	END IF;
END;
/